<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumn6InQuotChallanTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('quot_challan', function (Blueprint $table) {
            $table->bigInteger('quot_tax_invoice_id')->nullable()->unsigned();
            $table->foreign('quot_tax_invoice_id')->references('id')->on('quot_tax_invoice');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('quot_challan', function (Blueprint $table) {
            //
        });
    }
}
